#ifndef QAUDIO_H
#define QAUDIO_H

class QAuServer;

class QAudio {
public:
	static bool soundAvailable();
	static int play(const char* filename, double volume=50.0);

	QAudio(const char* filename, double volume=50.0);
	~QAudio();

	void play();
	void setVolume(double volume);

private:
	static QAuServer& server();
	char* filename;
	double volume_percent;
};


#endif
